Subject: Re: Problem with a header file
From: [email-masked] (Benjamin Riefenstahl)

17 Sep 1998 18:11:58 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: Cygnus <[email-masked]>

Hi Volker,

Dr. Volker Zell wrote:
> The problem is in the oratypes.h include file:
> 
> When I change line 169 (and the same in 183) from
> 
>   typedef unsigned _int64 ub8;
> 
> to
> 
>   typedef unsigned int ub8;
> 
> the compiliation succeeds and the program works. I'm not a programmer
> so my question is, why does this work?

I don't think it does. Your code evaluates to a 32-bit unsigned integer,
while the original specified 64 bits (with an MS-specific extension to
the language). It's possible that your program doesn't use this specific
code though.

Anyway, for a better fix change the code to this:

   typedef unsigned long long ub8;

so long, benny
======================================
Benjamin Riefenstahl ([email-masked])
Crocodial Communications EntwicklungsGmbH
Ruhrstraße 61, D-22761 Hamburg, Germany
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".